package com.search.lucene.documents.representers.implementations;

import com.search.lucene.documents.representers.abstractions.IDocumentRepresenter;
import com.search.lucene.settings.Constants;
import org.apache.lucene.document.Document;

public class CSVDocumentStringRepresenter implements IDocumentRepresenter<String> {
    @Override
    public String Represent(Document indexedDocument) {
        return String.format("""
                        file path =  %s\s
                        file name =  %s\s
                        in row =  %s\s
                        in column =  %s\s
                        with content =  %s\s
                        """,
                indexedDocument.get(Constants.FILE_PATH),
                indexedDocument.get(Constants.FILE_NAME),
                indexedDocument.get(Constants.ROW),
                indexedDocument.get(Constants.COLUMN),
                indexedDocument.get(Constants.VALUE));
    }
}
